library(ggplot2)
library(tidyr)

#faili sisselugemine ja andmete formaadi korrigeerimine
J345=read.csv("PT3-T3.4-J3.4.5.csv",header=TRUE, encoding ="UTF-8")
names(J345)=gsub("\\.", " ", names(J345))
names(J345)[2]="Ärevus, masendus"
J345=pivot_longer(J345,2:8)
J345$name=as.factor(J345$name)
J345$name=factor(J345$name,levels(J345$name)[order(c(6,1,3,4,7,5,2))])
J345$X=as.factor(J345$X)
J345$X=factor(J345$X,levels(J345$X)[order(c(2,1))])
                    

#joonis
ggplot(J345)+
  geom_col(aes(x=name,y=value,fill=X),pos=position_dodge(0.8),width=0.7)+
  scale_fill_manual(values=c("#6666cc","#38bf7b"),breaks=c("Ilma tööta","Tööjõus osalev"))+
  theme_minimal()+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))+
  coord_flip()+
  scale_y_continuous(breaks=seq(0,60,10))+
  theme(legend.position = "bottom")+
  theme(legend.title = element_blank())+
  xlab("")+
  ylab("%")







